
Redmine - Feature #3187

"View Issues" user permission

2009-04-16 03:33 - Rob Felix

Status: Closed Start date: 2009-04-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Please add a "View Issues" user permission.

Related issues:

Related to Redmine - Feature #3384: issue permissions Closed 2009-05-18

Has duplicate Redmine - Defect #3404: Rendered link r+revision-no reveal to m... Closed 2009-05-21

Associated revisions

Revision 3039 - 2009-11-14 13:08 - Jean-Philippe Lang

Add view_issues permission (#3187).

A migration adds this permission to all existing roles to preserve current behaviour.

This permission controls access to issues, roadmap and changelog.

Revision 3043 - 2009-11-14 15:10 - Jean-Philippe Lang

Don't reveal issue subjects if user is only allowed to view spent time (#3187).

History

#1 - 2009-04-19 10:40 - Markus Knittig

There is such a permission, it's just hardcoded as public. Remove , :public => true in lib/redmine.rb to make it visible...

#2 - 2009-04-19 11:01 - Jean-Philippe Lang

- Category changed from Administration to Issues permissions

- Target version set to 0.9.0

#3 - 2009-04-27 19:00 - Jim Keller

a 'View Own Issues' (e.g. issues assigned to you) permission might be useful as well. We have some roles where ideally they wouldn't be able to see

any part of the project they're not involved in. Right now we're just setting up sub-projects to account for this situation, which is a reasonable

alternative.

#4 - 2009-05-05 16:50 - Gilles Pietri

I'm working on this remotely, as there are numerous place where the view_issues permission doesn't seem enforced, and I need a given kind of user

("dumb mode") to view only issue they submit, and nothing else.. So I did quite some hacks, anybody interested in trying that out?

I will also issue a patch so as to start something at least... Since I'm quite new to redmine, and not that experienced with Rails, I'm sure

knowledgeable people might review that efficiently :)

#5 - 2009-05-06 13:00 - Thomas Pihl

Yes, i am interested in trying it out (and helping in any way i can). This is a very much needed feature for us.

/T

#6 - 2009-05-20 14:25 - Gilles Pietri

- File view_own_issues.patch added

OK, I finally did that, and diff'ed against SVN..

This adds a view_own_issue permission, and unset the public attribute for view_issues.
I modified the view & controller accordingly to take that into account. I also had to modify the query model, to take that into account.

I really have no experience with redmine, and only a light ruby background, so please feel free to suggest more elegant ways to do this. Especially,

I'm not sure about how nice the permission attributes (lib/redmine.rb) should be set if cleaner that what I defined them too...

Enjoy ;)

#7 - 2009-05-20 14:32 - Gilles Pietri

- File view_own_issues.patch added

Gilles Pietri wrote:

OK, I finally did that, and diff'ed against SVN..

 OK, this is not the patch I intended to publish (diff between my 0.8.3 install and svn in case you wonder..). This is the good one.

#8 - 2009-05-21 20:17 - Thomas Pihl

Seems to work very well. I like it!

Perhaps one addition? When someone put you as watcher you should be able to see the issue? But then again, that might be a security issue.

/T

#9 - 2009-05-21 20:20 - Thomas Pihl

AND...

perhaps also if you have the issue assigned to you.

#10 - 2009-05-21 22:11 - Thomas Pihl

Found a small snag.

If a link to issues you're not allowed to view is rendered on wiki or repository, you're able to see Subject and Status on the mouse-over tooltip.

#11 - 2009-05-21 23:19 - Thomas Pihl

- File added_checks.patch added

Added a patch for those checks. Check it out and modify to fit

#12 - 2009-05-22 13:00 - Gilles Pietri

Thomas Pihl wrote:

Seems to work very well. I like it!

Perhaps one addition? When someone put you as watcher you should be able to see the issue? But then again, that might be a security issue.

/T

 Well it makes sense you should also see the one you're set to watch, gonna look into that.. Could anyone more "redmine-familiar" review that by the

way?

Regards

#13 - 2009-06-16 20:41 - Jens Goldhammer

+1

#14 - 2009-07-27 17:04 - Dmitry Shkolnikov

+1

#15 - 2009-09-16 14:34 - Gilles Pietri

Hmm, I was considering an upgrade to 0.8.5 and tests on 0.9, then I found #337

#16 - 2009-09-16 16:31 - Thomas Pihl
This is NOT the same thing as #337.

Private issue means that a group (like support) could hide some issue from all others. #3187 means that each user only see their own

reported/assigned issues. Both features are needed and they are not the same.

#17 - 2009-10-01 00:16 - Pablo 09

I have tried on 0.8.5.devel.2902 and it don´t run.

Mysql::Error: You have an error in your SQL syntax;

#18 - 2009-10-02 18:40 - Marcel Evenson

+1 for #3187 and #337. We've been waiting patiently for both of these to work their way into trunk .. but still no go. #337 was opened over 2 years ago

with many many patches submitted and this was opened over 5 months ago.. still nothing .. I think this is a prime example were open source fails :(

#19 - 2009-10-08 16:59 - Jose Luna

Marcel Evenson wrote:

I think this is a prime example were open source fails :(

 I think you mean "this is a prime example where open source is imperfect".  If redmine had 'failed', then you wouldn't be using it.  Clearly, when you

considered all factors, redmine was the superior choice for your project management needs.  Otherwise, you would have chosen a different software

(there are plenty of commercial alternatives).

This may surprise you, but commercial software has the exact same problem delivering features that customers request.  Not everyone needs this

feature, and it's very hard to manage all of the requested features while keeping a coherent roadmap for the future and a clean codebase.

#20 - 2009-10-09 21:20 - Thomas Pihl

Marcel Evenson wrote:

+1 for #3187 and #337. We've been waiting patiently for both of these to work their way into trunk .. but still no go. #337 was opened over 2

years ago with many many patches submitted and this was opened over 5 months ago.. still nothing .. I think this is a prime example were open

source fails :(

 I'd like to disagree.

This is very much working open-source. There are a patch to implement already for #3187. If you cannot make it work, you can always hire someone

to do it for you. It will still be better quality and cheaper than closed source, hands down. Both #337 and #3187 has been selected for 0.9 (work SOME

ELSE is doing for us all). If they make it, it will be all good. If not, we can always patch by ourself (or by hired help). Let's all chip in with out +1 and

offers to help coding (if we can) or testing (if we can't).

Just my 0.02 SEK (a very very cheap currency)

#21 - 2009-11-14 13:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

View issues permission added in r3039.

Thanks to Jose and Thomas :-)

#22 - 2009-11-14 17:03 - Patrick Hurrelmann

Jean-Philippe Lang wrote:

View issues permission added in r3039.

Thanks to Jose and Thomas :-)

 Whooohoo! Thank you very much Jean-Philippe :)

Now I'm only waiting for Eric with his implemenatation of #465

and 0.9 will rock (much more than it already does)! :D

#23 - 2009-11-20 10:01 - Ho Nguyen

Hi, I updated to the latest in trunk. Got the "View Issues" permission but its behaviour seemed not correct. When uncheck "View Issues" for a role, so

user assigned to that role not able to see any issue, including his own issue. I thought this feature is allow user to see only his own issues, is that

correct?
#24 - 2009-12-02 18:32 - Stanislav German-Evtushenko

- Status changed from Closed to Reopened

Ho Nguyen wrote:

Hi, I updated to the latest in trunk. Got the "View Issues" permission but its behaviour seemed not correct. When uncheck "View Issues" for a

role, so user assigned to that role not able to see any issue, including his own issue. I thought this feature is allow user to see only his own

issues, is that correct?

 Same for me

#25 - 2009-12-02 18:53 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please re-read the initial request, and see #2653.

#26 - 2009-12-02 19:03 - Stanislav German-Evtushenko

Gilles Pietri wrote:

Hmm, I was considering an upgrade to 0.8.5 and tests on 0.9, then I found #337

 Gilles, please pay attention on #2653

#27 - 2009-12-02 19:08 - Stanislav German-Evtushenko

Jean-Philippe Lang wrote:

Please re-read the initial request, and see #2653.

 Hello Jean-Philippe,

Ok, I got about this feature.

There is one small bug here too. I can't see tasks in activity of head project (right behaviour), but I can see it in childs (wrong).

#28 - 2009-12-02 20:00 - Gilles Pietri

Yeah, I didn't find the other one at first, and this is not the same thing. #2653 will however fit my use case, so I'll give it a shot.. but it's roughly the

same idea as of what my patch was intended to do. Leaving this issue alone for now ;)

#29 - 2009-12-07 21:05 - Ho Nguyen

Gilles Pietri wrote:

Yeah, I didn't find the other one at first, and this is not the same thing. #2653 will however fit my use case, so I'll give it a shot.. but it's roughly

the same idea as of what my patch was intended to do. Leaving this issue alone for now ;)

 Gilles, waiting for your patch to #2653, I tried your patch in this issue for trunk but not successful ...

#30 - 2009-12-18 06:36 - Ho Nguyen

Gilles Pietri wrote:

Yeah, I didn't find the other one at first, and this is not the same thing. #2653 will however fit my use case, so I'll give it a shot.. but it's roughly

the same idea as of what my patch was intended to do. Leaving this issue alone for now ;)

 Hi Gilles ... I have applied your patch to the trunk ant it worked perfectly for my case (don't allow customer to see internal issues). However, there is

one side affect regarding the attachment. My customer cannot download the attachment if I set "view-own-issue" but got the 403 error "You are not

authorized to access this page". Have you got the same issue?

#31 - 2015-03-05 05:11 - Go MAEDA

- Has duplicate Defect #3404: Rendered link r+revision-no reveal to much in mouse-over tooltip added

Files

view_own_issues.patch 11.3 KB 2009-05-20 Gilles Pietri

view_own_issues.patch 4.91 KB 2009-05-20 Gilles Pietri
added_checks.patch 2.23 KB 2009-05-21 Thomas Pihl
